summaryrefslogtreecommitdiffstats
path: root/perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild')
-rw-r--r--perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild24
1 files changed, 6 insertions, 18 deletions
diff --git a/perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild b/perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild
index d61a1b9061..6ceafc7695 100644
--- a/perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild
+++ b/perl/perl-Net-Pcap/perl-Net-Pcap.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-Net-Pcap
-# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# Copyright 2009-2012 Marco Bonetti <sid77@slackware.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,19 +23,17 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-Net-Pcap
-VERSION=${VERSION:-0.14}
+VERSION=${VERSION:-0.16}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
SRC_PRGNAM=Net-Pcap
DOCS="README"
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -83,20 +81,10 @@ make install DESTDIR=$PKG
# Move man pages
mv $PKG/usr/share/man $PKG/usr/
-# Compress man pages
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
-
-# Remove perllocal.pod and other special files that don't need to be installed
-( cd $PKG
- # Remove 'special' files
- find . -name perllocal.pod \
- -o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -delete